TREC 2001 VideoTrack: Shot Boundary Task Evaluation: Class systemResult

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class systemResult

    java.lang.Object
      |
      +--systemResult

public class systemResult
extends java.lang.Object

This class represents the results for one system identified by its ID. One system has several segmentation results corresponding to the run of this system on a video. used in shot boundary detection task programs of TREC 2001.

Constructor Summary
`systemResult(java.lang.String sysId)` Instanciate a systemResult object with only the given system ID.

Method Summary
`void` | `addSegmentation(Segmentation s)` Add the given segmentation to the system results.
`java.util.Enumeration` | `getSegmentations()` Returns an enumeration of segmentations.
`java.util.Vector` | `getSegmentationsVideoNames()` Returns a Vector containing video names of the segmentations.
`java.lang.String` | `getSysId()` Returns the system ID.
`java.lang.String` | `toString()` Returns an Xml String of the system results including all segmentations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### systemResult

    public systemResult(java.lang.String sysId)

  Instanciate a systemResult object with only the given system ID.

Method Detail

### addSegmentation

    public void addSegmentation(Segmentation s)

  Add the given segmentation to the system results.

### getSegmentations

    public java.util.Enumeration getSegmentations()

  Returns an enumeration of segmentations.

### getSysId

    public java.lang.String getSysId()

  Returns the system ID.

### getSegmentationsVideoNames

    public java.util.Vector getSegmentationsVideoNames()

  Returns a Vector containing video names of the segmentations.

### toString

    public java.lang.String toString()

  Returns an Xml String of the system results including all segmentations.
  Overrides:
    `toString` in class `java.lang.Object`

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov